summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xget_word_list22
1 files changed, 22 insertions, 0 deletions
diff --git a/get_word_list b/get_word_list
new file mode 100755
index 0000000..1a58b31
--- /dev/null
+++ b/get_word_list
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Copyright 2016 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# =*= License: GPL-3+ =*=
+
+set -eu
+
+w3m -dump https://en.wikipedia.org/wiki/PGP_word_list |
+ grep '^[0-9A-F][0-9A-F] '